%global dlrn_nvr python-scciclient-0.9.1.dev1-2.20220111031439.e66d50c
%global dlrn 1
%define upstream_version 0.9.1.dev1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global src_name scciclient
%global pkg_name python-scciclient
%global sum Python ServerView Common Command Interface (SCCI) Client Library

%global common_desc \
Python ServerView Common Command Interface (SCCI) Client Library

Name:        %{pkg_name}
Version: 0.9.1
Release: 2.20220111031439.e66d50c%{?dist}
Summary:     %{sum}
License:     ASL 2.0
URL:         https://pypi.python.org/pypi/%{pkg_name}
Source0: python-scciclient-0.9.1.dev1-2.20220111031439.e66d50c.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=e66d50cd3fd7676b0bac82eb012b67bcf2b6e925
Patch0001: 0001-Use-assertCountEqual-instead-of-assertItemsEqual.patch

BuildArch:   noarch

%description
%{common_desc}

%package -n python%{pyver}-%{src_name}
Summary: %{sum}
%{?python_provide:%python_provide python%{pyver}-%{src_name}}

BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-pbr
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-oslo-utils
BuildRequires: python%{pyver}-oslo-sphinx
BuildRequires: python%{pyver}-testscenarios
BuildRequires: python%{pyver}-stestr
BuildRequires: python%{pyver}-mock
BuildRequires: python%{pyver}-pyghmi
BuildRequires: python%{pyver}-pysnmp
BuildRequires: python%{pyver}-oslo-serialization
BuildRequires: git

# Handle python2 exception
%if %{pyver} == 2
BuildRequires: python-requests-mock
%else
BuildRequires: python%{pyver}-requests-mock
%endif

Requires: python%{pyver}-pbr >= 2.0.0
Requires: python%{pyver}-babel >= 2.3.4
Requires: python%{pyver}-requests >= 2.14.2
Requires: python%{pyver}-six >= 1.10
Requires: python%{pyver}-oslo-utils >= 3.33.0
Requires: python%{pyver}-oslo-serialization >= 2.18.0
Requires: python%{pyver}-pyghmi
Requires: python%{pyver}-pysnmp

%description -n python%{pyver}-%{src_name}
%{common_desc}

%prep
%autosetup -n %{pkg_name}-%{upstream_version} -S git

%build
%{pyver_build}

%install
%{pyver_install}

%check
PYTHON=%{pyver_bin} stestr-%{pyver} run

%files -n python%{pyver}-%{src_name}
%license LICENSE
%doc README.rst
%doc AUTHORS
%{pyver_sitelib}/%{src_name}
%{pyver_sitelib}/*.egg-info

%changelog
* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20220111031439.e66d50c
- Update patches

* Thu Jun 03 2021 CPaaS User <cpaas-ops@redhat.com> - 0.9.1-2.20210527215016.e66d50c.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20210527215016.e66d50c
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20210518044805.e66d50c
- Use assertCountEqual instead of assertItemsEqual
- Use assertCountEqual instead of assertItemsEqual

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20210513024809.82b8e6d
- Update patches
- Use assertCountEqual instead of assertItemsEqual

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches
- Modify some description

* Mon Feb 15 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches
- Add Python 3.6 classifier to setup.cfg
- Change openstack-dev to openstack-discuss

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches
- Update min version required for pyghmi
- Make CI work

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches
- Adds a sleep(3s) after performing power on/off/reset

* Mon Sep 23 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.1-1
- Update patches

* Mon Sep 23 2019 RDO <dev@lists.rdoproject.org> 0.8.1-1
- Update to 0.8.1


